# kio Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KXBELBookmarkImporterImpl Class Reference

A class for importing XBEL files. More...

`#include <kbookmarkimporter.h>`

Inheritance diagram for KXBELBookmarkImporterImpl:

[legend]
Collaboration diagram for KXBELBookmarkImporterImpl:

[legend]
List of all members.

## Public Member Functions

virtual void | parse ()
virtual QString | findDefaultLocation (bool=false) const

## Protected Member Functions

virtual void | visit (const KBookmark &)
virtual void | visitEnter (const KBookmarkGroup &)
virtual void | visitLeave (const KBookmarkGroup &)

## Detailed Description

A class for importing XBEL files.

Definition at line 87 of file kbookmarkimporter.h.

The documentation for this class was generated from the following files:

- kbookmarkimporter.h
- kbookmarkimporter.cc

This file is part of the documentation for kio Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:25:49 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003